package com.landray.kmss.sys.attachment.integrate.wps.util;

import com.landray.kmss.sys.attachment.util.JgWebOffice;
import javax.servlet.http.HttpServletRequest;
import java.util.Map;
import com.landray.kmss.sys.attachment.model.SysAttConfig;
import com.landray.kmss.sys.attachment.util.SysAttConfigUtil;

public class SysAttWpsoaassistUtil
{
    public static Boolean isEnable() throws Exception {
        return "3".equals(SysAttConfigUtil.getOnlineToolType());
    }
    
    public static Boolean isWPSOAassistEmbed() throws Exception {
        final Boolean isEmbed = "3".equals(SysAttConfigUtil.getOnlineToolType());
        final SysAttConfig config = new SysAttConfig();
        String wpsoaassistEmbed = "0";
        final Map map = config.getDataMap();
        if (!map.isEmpty()) {
            wpsoaassistEmbed = map.getOrDefault("wpsoaassistEmbed", "0");
        }
        if (isEmbed && "1".equals(wpsoaassistEmbed)) {
            return true;
        }
        return false;
    }
    
    public static Boolean isWPSOAassistEmbed(final HttpServletRequest request) throws Exception {
        Boolean isWindows = Boolean.FALSE;
        if ("windows".equals(JgWebOffice.getOSType(request))) {
            isWindows = Boolean.TRUE;
        }
        if (isWPSOAassistEmbed() && !isWindows) {
            return true;
        }
        return false;
    }
}
